> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get category import status

> Retrieve the current status and results of a category import created using `POST /api/v2/categories/import`.



## OpenAPI

````yaml product-agent.openapi get /v2/categories/import/{import_id}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support Team
  description: >
    The Product Agent API helps brands optimize product data for AI-driven
    commerce.

    Monitor how your catalog performs in AI search experiences, enrich product

    content for stronger semantic visibility, and publish optimized data across

    channels. Designed for iterative improvement, Product Agent enables teams to

    measure, refine, and enhance product content as AI shopping behavior
    evolves.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: fabric Orders API
  version: 3.0.0
  x-audience: external-public
servers:
  - url: https://commerceos.aiagents.fabric.inc/api
    description: Production API
security:
  - authorization: []
externalDocs:
  description: Find out more about Product Agent.
  url: https://developer.fabric.inc/product-agent/overview
paths:
  /v2/categories/import/{import_id}:
    get:
      summary: Get category import status
      description: >-
        Retrieve the current status and results of a category import created
        using `POST /api/v2/categories/import`.
      operationId: getCategoryImportStatus
      parameters:
        - $ref: '#/components/parameters/DomainHeader'
        - name: import_id
          in: path
          required: true
          description: Import ID returned from `POST /api/v2/categories/import`.
          schema:
            type: string
            format: uuid
            example: a0cf63a0-55b8-4a25-9218-d972d4d65a79
      responses:
        '200':
          description: Import status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryImportStatusResponse'
              example:
                import_id: a0cf63a0-55b8-4a25-9218-d972d4d65a79
                name: tcs_category_test.csv
                status: COMPLETED
                total_rows: 333
                processed_rows: 333
                new_count: 333
                updated_count: 0
                skipped_count: 0
                failed_count: 0
                input_filename: tcs_category_test.csv
                input_file_url: https://example.com/input.csv
                error_file_url: null
                error_message: null
                started_at: '2026-03-12T17:58:13.722428Z'
                completed_at: '2026-03-12T17:58:14.564840Z'
                created_at: '2026-03-12T17:58:13.605818Z'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Import not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
components:
  parameters:
    DomainHeader:
      name: domain
      in: header
      required: true
      schema:
        type: string
        example: vessel
      description: >-
        The brand domain or brand identifier used to scope the request to a
        specific brand’s data and configuration.
  schemas:
    CategoryImportStatusResponse:
      type: object
      required:
        - import_id
        - status
        - total_rows
        - processed_rows
        - created_at
      properties:
        import_id:
          type: string
          format: uuid
        name:
          type: string
          example: tcs_category_test.csv
        status:
          type: string
          example: COMPLETED
        total_rows:
          type: integer
          example: 333
        processed_rows:
          type: integer
          example: 333
        new_count:
          type: integer
          example: 333
        updated_count:
          type: integer
          example: 0
        skipped_count:
          type: integer
          example: 0
        failed_count:
          type: integer
          example: 0
        input_filename:
          type: string
          example: tcs_category_test.csv
        input_file_url:
          type: string
          format: uri
          nullable: true
          example: https://example.com/input.csv
        error_file_url:
          type: string
          format: uri
          nullable: true
          example: null
        error_message:
          type: string
          nullable: true
          example: null
        started_at:
          type: string
          format: date-time
          nullable: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````